export default class BatchOptimizationController {
  static list (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/promptOptimizeBatch/list', 'post', params, axiosOption, httpOption);
  }
    
  static view (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/promptOptimizeBatch/view', 'get', params, axiosOption, httpOption);
  }
    
  static export (sender, params, fileName) {
    return sender.download('/admin/app/promptOptimizeBatch/export', params, fileName);
  }
    
  static add (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/promptOptimizeBatch/add', 'post', params, axiosOption, httpOption);
  }
    
  static update (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/promptOptimizeBatch/update', 'post', params, axiosOption, httpOption);
  }
    
  static delete (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/promptOptimizeBatch/delete', 'post', params, axiosOption, httpOption);
  }
}
